%global debug_package %{nil}

Name:           bat
Version:        0.25.0
Release:        4%{?dist}
Summary:        A cat(1) clone with syntax highlighting and Git integration
License:        (MIT OR Apache-2.0) AND Apache-2.0 AND BSD-2-Clause AND BSD-2-Clause-Views AND BSD-3-Clause AND CC-BY-SA-3.0 AND MIT AND Unlicense AND WTFPL AND LicenseRef-Fedora-UltraPermissive
URL:            https://github.com/sharkdp/%{name}
Source0:        https://github.com/sharkdp/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  cargo
BuildRequires:  clang
BuildRequires:  cmake
BuildRequires:  rust
BuildRequires:  rust-std-static
BuildRequires:  zlib-devel

%description
A cat(1) clone which supports syntax highlighting for a large number of
programming and markup languages. It has git integration and automatic paging.

%prep
%autosetup -n %{name}-%{version}

%build
env RUSTC_BOOTSTRAP=1 'RUSTFLAGS=-Copt-level=3 -Cdebuginfo=2 -Ccodegen-units=1 -Cstrip=none -Cforce-frame-pointers=yes --cap-lints=warn' cargo build --bins

%install
env RUSTC_BOOTSTRAP=1 'RUSTFLAGS=-Copt-level=3 -Cdebuginfo=2 -Ccodegen-units=1 -Cstrip=none -Cforce-frame-pointers=yes --cap-lints=warn' cargo install --no-track --root=%{buildroot}%{_prefix} --path . --locked
%if 0%{?rhel} == 7
mkdir -p %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}%{_datadir}/bash-completion/completions
mkdir -p %{buildroot}%{_datadir}/fish/vendor_completions.d
mkdir -p %{buildroot}%{_datadir}/zsh/site-functions
%endif
install -Dpm0644 target/release/build/%{name}-*/out/assets/manual/bat.1 -t %{buildroot}%{_mandir}/man1/
install -Dpm0644 target/release/build/%{name}-*/out/assets/completions/bat.bash %{buildroot}%{_datadir}/bash-completion/completions/bat
install -Dpm0644 target/release/build/%{name}-*/out/assets/completions/bat.zsh %{buildroot}%{_datadir}/zsh/site-functions/_bat
install -Dpm0644 target/release/build/%{name}-*/out/assets/completions/bat.fish -t %{buildroot}%{_datadir}/fish/vendor_completions.d/
%files
%license LICENSE-MIT LICENSE-APACHE NOTICE
%doc README.md CHANGELOG.md CONTRIBUTING.md
%{_bindir}/bat
%{_mandir}/man1/bat.1*
%{_datadir}/bash-completion/completions/bat
%{_datadir}/fish/vendor_completions.d/bat.fish
%{_datadir}/zsh/site-functions/_bat

%changelog
* Tue Jan 21 2025 Alex <redhat@att.org.ru> - 0.25.0-3
- Fix build

* Tue Jan  7 2025 Alex <redhat@att.org.ru> - 0.25.0-2
- Update to 0.25.0

* Sat Oct 26 2024 Alex <redhat@att.org.ru> - 0.24.0-12
- Mass Rebuild

* Thu Oct 12 2023 Alex <redhat@att.org.ru> - 0.24.0-1
- Update to 0.24.0

* Sat Mar 25 2023 Alex <redhat@att.org.ru> - 0.23.0-1
- Update to 0.23.0

* Thu Jan 12 2023 Alex <redhat@att.org.ru> - 0.22.1-2
- Mass Rebuild

* Sat Sep 10 2022 Alex <redhat@att.org.ru> - 0.22.1-1
- Update to 0.22.0

* Wed Sep  7 2022 Alex <redhat@att.org.ru> - 0.22.0-1
- Update to 0.22.0

* Thu May 12 2022 Alex <redhat@att.org.ru> - 0.21.0-1
- Update to 0.21.0

* Sun Feb 27 2022 Alex <redhat@att.org.ru> - 0.20.0-1
- Update to 0.20.0

* Sat Jan  8 2022 Alex <redhat@att.org.ru> - 0.19.0-1
- Update to 0.19.0

* Sun Aug 22 2021 Alex <redhat@att.org.ru> - 0.18.3-1
- Update to 0.18.3

* Tue Jul 13 2021 Alex <redhat@att.org.ru> - 0.18.2-1
- Update to 0.18.2

* Thu May 13 2021 Alex <redhat@att.org.ru> - 0.18.1-1
- Update to 0.18.1

* Mon Mar  1 2021 Alex <redhat@att.org.ru> - 0.18.0-1
- Update to 0.18.0

* Sat Feb  6 2021 Alex <redhat@att.org.ru> - 0.17.1-2
- Added man

* Thu Jan 28 2021 David Salomon <david35mm@pm.me> - 0.17.1-1
- First package of bat
